PHP Manual
Prev |  | Next

# preg_grep

(PHP 4, PHP 5)

preg_grep -- Return array entries that match the pattern

## Description

array preg_grep ( string pattern, array input [, int flags] )

Returns the array consisting of the elements of the `input` array that match the given `pattern`.

## Parameters

`pattern`

  The pattern to search for, as a string.

`input`

  The input array.

`flags`

  If set to `PREG_GREP_INVERT`, this function returns the elements of the input array that do not match the given `pattern`.

## Return Values

Returns an array indexed using the keys from the `input` array.

## ChangeLog

Version | Description
--- | ---
4.2.0 | The `flags` parameter was added.
4.0.4 | Prior to this version, the returned array was indexed regardless of the keys of the `input` array. If you want to reproduce this old behavior, use array_values() on the returned array to reindex the values.

## Examples

Example 1. preg_grep() example

`<?php // return all array elements // containing floating point numbers $fl_array = preg_grep("/^(\d+)?\.\d+$/", $array); ?>`

Prev | Home | Next
Pattern Syntax | Up | preg_last_error